## Extension entry points Extension entry points |

## Functions

void | nautilus_module_initialize ()
void | nautilus_module_shutdown ()
void | nautilus_module_list_types ()

## Includes

    #include <nautilus-extension.h>

## Description

## Functions

### nautilus_module_initialize ()

    void
    nautilus_module_initialize (GTypeModule *module);

Called when the extension is begin loaded to register the types it exports and to perform other initializations.

#### Parameters

module | a GTypeModule used in type registration |

### nautilus_module_shutdown ()

    void
    nautilus_module_shutdown (void);

Called when the extension is being unloaded.

### nautilus_module_list_types ()

    void
    nautilus_module_list_types (const GType **types,
                                int *num_types);

Called after the extension has been initialized and has registered all the types it exports, to load them into Nautilus.

#### Parameters

types | array of GType *. | [out][array length=num_types]
num_types | the number of types in the array |